<?php


namespace Flat101\LazyLoading\Helper;


class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    const XML_PATH_LAZY_LOAD_ENABLED      = 'flat101_lazyloading/general/enabled';
    const XML_PATH_LAZY_LOAD_EXCLUDED_CSS = 'flat101_lazyloading/general/exclude_css';

    /**
     * @return array
     */
    public function getExcludeCss()
    {
        $result = [];
        $class  = \Zend_Json::decode($this->scopeConfig->getValue(self::XML_PATH_LAZY_LOAD_EXCLUDED_CSS));
        foreach ($class as $item) {
            $result[] = $item['css_class'];
        }

        return $result;
    }

    /**
     * @param array $class
     *
     * @return bool
     */
    public function isExcludeClass($class)
    {
        foreach ($this->getExcludeCss() as $item) {
            if (in_array($item, $class, true)) {
                return true;
            }
        }

        return false;
    }


    /**
     * Check if module is enabled
     *
     * @return bool
     */
    public function isEnabled(): bool
    {
        return $this->scopeConfig->isSetFlag(self::XML_PATH_LAZY_LOAD_ENABLED);
    }
}
