<?php


namespace Flat101\LazyLoading\Plugin\Block\Catalog\Product;


class ImageFactory
{
    /**
     * @var \Flat101\LazyLoading\Helper\Data
     */
    private $helper;

    /**
     * ImageFactory constructor.
     * @param \Flat101\LazyLoading\Helper\Data $helper
     */
    public function __construct(
        \Flat101\LazyLoading\Helper\Data $helper
    ) {
        $this->helper = $helper;
    }

    /**
     * @param \Magento\Catalog\Block\Product\ImageFactory $subject
     * @param \Magento\Catalog\Block\Product\Image $result
     *
     * @return mixed
     * @SuppressWarnings("Unused")
     */
    public function afterCreate(\Magento\Catalog\Block\Product\ImageFactory $subject, \Magento\Catalog\Block\Product\Image $result)
    {
        if ($this->helper->isEnabled()) {
            $result->setTemplate('Flat101_LazyLoading::product/image_with_borders.phtml');
        }

        return $result;
    }
}
